import { Component, ViewEncapsulation, ViewChild } from '@angular/core';
import {
  DiagramComponent, HtmlModel, NodeModel
} from '@syncfusion/ej2-ng-diagrams';


/**
 * Default FlowShape sample
 */

@Component({
  selector: 'main-section',
  templateUrl: 'app/diagram/diagram.component.html',
  encapsulation: ViewEncapsulation.None
})
export class FlowDiagramComponent  {
  @ViewChild('diagram') public diagram: DiagramComponent;

  public nodes: NodeModel[] = [
    {
        id: 'HTML', borderColor: 'black', borderWidth: 1, offsetX: 100, offsetY: 150, height: 100, width: 100,
        shape: {
            type: 'HTML',
            content: '<div style="height:100%;width:100%;background-color:red"><button type="button" style="width:100%;overflow:hidden">HTML</button></div>'
        }
    },
    {
        id: 'Checkbox', borderColor: 'black', borderWidth: 1, offsetX: 300, offsetY: 150, height: 100, width: 100,
        shape: {
            type: 'HTML',
            content: '<div><div style="height:50%;width:100%"><input type="checkbox" value="Yes" style="width:25%">Yes</input></div>' +
            '<div style="height:50%;width:100%;"><input type="checkbox" value="No" style="width:25%">No</input></div></div>'
        }
    },
    {
        id: 'Dropdown', borderColor: 'black', borderWidth: 1, offsetX: 500, offsetY: 150, height: 100, width: 100,
        shape: {
            type: 'HTML',
            content: '<div style="height:100%;width:100%"><select style="width:100%"><option>SVG</option><option>Canvas</option></select></div>'
        }
    },
];
public click(e: Event): void {
  let string: string = this.diagram.saveDiagram();
};

}
