/**
 * System configuration for Angular samples
 * Adjust as necessary for your application needs.
 */
(function (global) {
  System.config({
    paths: {
      // paths serve as alias
      "npm:": "node_modules/",
      "syncfusion:": "node_modules/@syncfusion/"
    },
    // map tells the System loader where to look for things
    map: {
      // our app is within the app folder
      'app': 'app',

      // angular bundles
      '@angular/core': 'npm:@angular/core/bundles/core.umd.js',
      '@angular/common': 'npm:@angular/common/bundles/common.umd.js',
      '@angular/compiler': 'npm:@angular/compiler/bundles/compiler.umd.js',
      '@angular/platform-browser': 'npm:@angular/platform-browser/bundles/platform-browser.umd.js',
      '@angular/platform-browser-dynamic': 'npm:@angular/platform-browser-dynamic/bundles/platform-browser-dynamic.umd.js',
      '@angular/http': 'npm:@angular/http/bundles/http.umd.js',
      '@angular/router': 'npm:@angular/router/bundles/router.umd.js',
      '@angular/forms': 'npm:@angular/forms/bundles/forms.umd.js',

         // syncfusion bundles
         "@syncfusion/ej2-base":
         "node_modules/@syncfusion/ej2-base/dist/ej2-base.umd.min.js",
       "@syncfusion/ej2-data":
         "node_modules/@syncfusion/ej2-data/dist/ej2-data.umd.min.js",
       "@syncfusion/ej2-diagrams":
         "node_modules/@syncfusion/ej2-diagrams/dist/ej2-diagrams.umd.min.js",
       "@syncfusion/ej2-navigations":
         "node_modules/@syncfusion/ej2-navigations/dist/ej2-navigations.umd.min.js",
       "@syncfusion/ej2-inputs":
         "node_modules/@syncfusion/ej2-inputs/dist/ej2-inputs.umd.min.js",
       "@syncfusion/ej2-popups":
         "node_modules/@syncfusion/ej2-popups/dist/ej2-popups.umd.min.js",
       "@syncfusion/ej2-buttons":
         "node_modules/@syncfusion/ej2-buttons/dist/ej2-buttons.umd.min.js",
       "@syncfusion/ej2-lists":
         "node_modules/@syncfusion/ej2-lists/dist/ej2-lists.umd.min.js",
       "@syncfusion/ej2-splitbuttons":
         "node_modules/@syncfusion/ej2-splitbuttons/dist/ej2-splitbuttons.umd.min.js",
       "@syncfusion/ej2-ng-base":
         "node_modules/@syncfusion/ej2-ng-base/dist/ej2-ng-base.umd.min.js",
       "@syncfusion/ej2-ng-diagrams":
         "node_modules/@syncfusion/ej2-ng-diagrams/dist/ej2-ng-diagrams.umd.min.js",

      // other libraries
      'rxjs':                      'npm:rxjs',
      'angular-in-memory-web-api': 'npm:angular-in-memory-web-api/bundles/in-memory-web-api.umd.js'
    },
    // packages tells the System loader how to load when no filename and/or no extension
    packages: {
      app: {
        defaultExtension: 'js',
        meta: {
          './*.js': {
            loader: 'systemjs-angular-loader.js'
          }
        }
      },
      rxjs: {
        defaultExtension: 'js'
      }
    }
  });
})(this);
